Summary: Support library for the Mobile Broadband Interface Model protocol
Name: libmbim
Version: 1.26.4
Release: 3%{?dist}
License: LGPLv2+
URL: http://freedesktop.org/software/libmbim
Source: http://freedesktop.org/software/libmbim/%{name}-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: automake autoconf libtool pkgconfig
BuildRequires: glib2-devel >= 2.48.0
BuildRequires: python3


%description
This package provides the libraries that make it easier for glib applications to use 
MBIM functionality.


%package devel
Summary: Header files for adding MBIM support to applications that use glib
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel

%description devel
This package provides the header and pkg-config files for developing applications.

%package utils
Summary: Utilities to use the MBIM protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package provides the utilities that make it easier to use MBIM functionality 
from the command line.


%prep
%autosetup -p1


%build
%configure --disable-static --disable-gtk-doc
%make_build

%install
%make_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference configure.ac
find %{buildroot} -type f -name "*.la" -delete


%check
make check


%files
%license COPYING.LIB
%doc NEWS AUTHORS README
%{_libdir}/libmbim-glib.so.4*

%files devel
%{_includedir}/libmbim-glib/
%{_libdir}/pkgconfig/mbim-glib.pc
%{_libdir}/libmbim-glib.so
%{_datadir}/gtk-doc/html/libmbim-glib/

%files utils
%license COPYING
%{_bindir}/mbimcli
%{_bindir}/mbim-network
%{_datadir}/bash-completion
%{_libexecdir}/mbim-proxy
%{_mandir}/man1/mbim*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.4-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 1.26.4-1
- package init.
